/** @file
  SetupConfigUpdateDxeLightningRidgeEXRP.h -- Header for SetupConfigUpdateDxeLightningRidgeEXRP

Copyright (c) HR650X BIOS Decompilation Project
**/

#ifndef __SETUPCONFIGUPDATEDXELIGHTNINGRIDGEEXRP_H__
#define __SETUPCONFIGUPDATEDXELIGHTNINGRIDGEEXRP_H__

#include "../uefi_headers/Uefi.h"

//
// Function Prototypes
//

EFI_STATUS
EFIAPI
ModuleEntryPoint(
  VOID
);

EFI_STATUS
EFIAPI
PlatformDebugPrint(
  VOID
);

EFI_STATUS
EFIAPI
size: 0xca0(
  VOID
);

EFI_STATUS
EFIAPI
DXE driver registers a UBA setup config update callback for(
  VOID
);

EFI_STATUS
EFIAPI
Ridge EXRP platform.(
  VOID
);

EFI_STATUS
EFIAPI
declarations(
  VOID
);

EFI_STATUS
EFIAPI
@ 0x390 (size: 0xfa)(
  VOID
);

EFI_STATUS
EFIAPI
__int64 v4; // [rsp+30h] [rbp+8h] BYREF(
  VOID
);

EFI_STATUS
EFIAPI
@ 0x48c (size: 0xb)(
  VOID
);

EFI_STATUS
EFIAPI
@ 0x498 (size: 0x7f)(
  VOID
);

EFI_STATUS
EFIAPI
unsigned __int64 n0x10; // rbx(
  VOID
);

EFI_STATUS
EFIAPI
void *v3; // rcx(
  VOID
);

EFI_STATUS
EFIAPI
@ 0x518 (size: 0x88)(
  VOID
);

EFI_STATUS
EFIAPI
__int64 v4; // r8(
  VOID
);

EFI_STATUS
EFIAPI
unsigned __int8 v6; // al(
  VOID
);

EFI_STATUS
EFIAPI
char n3; // cl(
  VOID
);

EFI_STATUS
EFIAPI
@ 0x5a0 (size: 0x3e)(
  VOID
);

EFI_STATUS
EFIAPI
HobList = (void (__fastcall **)(const CHAR8 *, UINTN, const CHAR8 *))GetHobList(); /*0x5b8*/(
  VOID
);

EFI_STATUS
EFIAPI
@ 0x5e0 (size: 0xd6)(
  VOID
);

EFI_STATUS
EFIAPI
EFI_SYSTEM_TABLE *SystemTable; // rdi(
  VOID
);

EFI_STATUS
EFIAPI
__int64 v4; // rsi(
  VOID
);

EFI_STATUS
EFIAPI
@ 0x6b8 (size: 0x6e)(
  VOID
);

EFI_STATUS
EFIAPI
UINT64 Unaligned64_1; // rbx(
  VOID
);

EFI_STATUS
EFIAPI
UINT64 v6; // rax(
  VOID
);

EFI_STATUS
EFIAPI
@ 0x728 (size: 0x2f)(
  VOID
);

#endif /* __SETUPCONFIGUPDATEDXELIGHTNINGRIDGEEXRP_H__ */